Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.job.measurement
Class PerformanceMonitorJob

    java.lang.Object
      javax.management.NotificationBroadcasterSupport
          com.sun.management.oss.impl.job.MonitorJob
              com.sun.management.oss.impl.job.ByClassesMonitorJob
                  com.sun.management.oss.impl.job.measurement.PerformanceMonitorJob

All Implemented Interfaces:
  java.util.EventListener, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, javax.management.NotificationListener, java.lang.Runnable

public class PerformanceMonitorJob
extends ByClassesMonitorJob

A `PerformanceMonitorJob` object is created each time a new Performance Monitor is created.

Field Summary

Fields inherited from class com.sun.management.oss.impl.job.MonitorJob
`ACTIVE_OFF_DUTY, ACTIVE_ON_DUTY, SUSPENDED`

Constructor Summary
`PerformanceMonitorJob(JmxJVTPerformanceMonitorSession jvtPerfSession, PerformanceMonitorValue pmValue, ReportInformation reportInformation, PerformanceGenericModel perfGenericModel, javax.management.MBeanServer server, java.util.Properties properties)`

Method Summary
`java.lang.String` | `getCurrentResultReport()` Forces a report generation (immediate measurement)
`PerformanceMonitorValue` | `getPerformanceMonitorValue()`

Methods inherited from class com.sun.management.oss.impl.job.ByClassesMonitorJob
`handleNotification`

Methods inherited from class com.sun.management.oss.impl.job.MonitorJob
`begin, getNotificationInfo, quit, resume, run, stop, suspend`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PerformanceMonitorJob

    public PerformanceMonitorJob(JmxJVTPerformanceMonitorSession jvtPerfSession,
                                 PerformanceMonitorValue pmValue,
                                 ReportInformation reportInformation,
                                 PerformanceGenericModel perfGenericModel,
                                 javax.management.MBeanServer server,
                                 java.util.Properties properties)

Parameters:
  `jvtPerfSession` - factory
  `pmValue` -
  `reportInformation` -
  `perfGenericModel` - data model
  `server` - mbeanserver
  `properties` -

Method Detail

### getCurrentResultReport

    public java.lang.String getCurrentResultReport()

  Forces a report generation (immediate measurement)

### getPerformanceMonitorValue

    public PerformanceMonitorValue getPerformanceMonitorValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD